Frameworks/OJMoq/OJMoqSelector.j File Reference

Go to the source code of this file.

## Functions

void | call ()
CPComparisonResult | compareTimesCalled: (CPNumber anotherNumber)
BOOL | equals: (OJMoqSelector anotherSelector)
CPArray | find:in: (OJMoqSelector aSelector,[in] CPArray selectors)
CPArray | find:in:ignoreWildcards: (OJMoqSelector aSelector,[in] CPArray selectors,[ignoreWildcards] BOOL shouldIgnoreWildcards)
id | initWithName:withArguments: (CPString aName,[withArguments] CPArray someArguments)
BOOL | isEqualToNameOf: (OJMoqSelector anotherSelector)
BOOL | matchesAllArgs ()
id | OJMoqSelector: (id CPObject)

## Function Documentation

void call | ( |  | ) | `[virtual]`

Definition at line 47 of file OJMoqSelector.j.

CPComparisonResult compareTimesCalled: | ( | CPNumber | anotherNumber | ) | `[virtual]`

Definition at line 67 of file OJMoqSelector.j.

BOOL equals: | ( | OJMoqSelector | anotherSelector | ) | `[virtual]`

Definition at line 57 of file OJMoqSelector.j.

CPArray find:in: | ( | OJMoqSelector | aSelector,
|  | [in] CPArray | selectors
| ) |  | `[static, virtual]`

Definition at line 29 of file OJMoqSelector.j.

CPArray find:in:ignoreWildcards: | ( | OJMoqSelector | aSelector,
|  | [in] CPArray | selectors,
|  | [ignoreWildcards] BOOL | shouldIgnoreWildcards
| ) |  | `[static, virtual]`

Definition at line 14 of file OJMoqSelector.j.

id initWithName:withArguments: | ( | CPString | aName,
|  | [withArguments] CPArray | someArguments
| ) |  | `[virtual]`

Definition at line 34 of file OJMoqSelector.j.

BOOL isEqualToNameOf: | ( | OJMoqSelector | anotherSelector | ) | `[virtual]`

Definition at line 52 of file OJMoqSelector.j.

BOOL matchesAllArgs | ( |  | ) | `[virtual]`

Definition at line 62 of file OJMoqSelector.j.

id OJMoqSelector: | ( | id | CPObject | ) | `[static, virtual]`

Definition at line 2 of file OJMoqSelector.j.

All Classes Files Functions Variables